Index: gmtress.perspective
===================================================================
--- gmtress.perspective	(revision 332)
+++ gmtress.perspective	(revision 333)
@@ -275,7 +275,7 @@
 								</array>
 							</array>
 							<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-							<string>{{0, 0}, {200, 662}}</string>
+							<string>{{0, 0}, {200, 661}}</string>
 						</dict>
 						<key>PBXTopSmartGroupGIDs</key>
 						<array/>
@@ -285,7 +285,7 @@
 					<key>GeometryConfiguration</key>
 					<dict>
 						<key>Frame</key>
-						<string>{{0, 0}, {217, 680}}</string>
+						<string>{{0, 0}, {217, 679}}</string>
 						<key>GroupTreeTableConfiguration</key>
 						<array>
 							<string>SCMStatusColumn</string>
@@ -294,7 +294,7 @@
 							<real>178</real>
 						</array>
 						<key>RubberWindowFrame</key>
-						<string>0 111 1280 721 0 0 1280 832 </string>
+						<string>0 112 1280 720 0 0 1280 832 </string>
 					</dict>
 					<key>Module</key>
 					<string>PBXSmartGroupTreeModule</string>
@@ -324,7 +324,7 @@
 										<key>_historyCapacity</key>
 										<integer>0</integer>
 										<key>bookmark</key>
-										<string>A3DAF88C0D09F6F20015B97D</string>
+										<string>A3B867B40D10B9B800B6F595</string>
 										<key>history</key>
 										<array>
 											<string>A3C65E6B0CD275C200D77B7B</string>
@@ -331,8 +331,8 @@
 											<string>A3FD76ED0CEBBBC10048CD0C</string>
 											<string>A3F558940CF276B100E3EBD1</string>
 											<string>A3DAF7F40D09EC670015B97D</string>
-											<string>A3DAF7F50D09EC670015B97D</string>
-											<string>A3DAF8800D09F6B90015B97D</string>
+											<string>A3B8677E0D10B2C900B6F595</string>
+											<string>A3B8677F0D10B2C900B6F595</string>
 										</array>
 										<key>prevStack</key>
 										<array>
@@ -340,6 +340,12 @@
 											<string>A3D78E650CB72FF100A79632</string>
 											<string>A3C65E1D0CD262BC00D77B7B</string>
 											<string>A30FC0970CBD7DFA000A16EC</string>
+											<string>A3B8676B0D10AD1900B6F595</string>
+											<string>A3B8676C0D10AD1900B6F595</string>
+											<string>A3B8676D0D10AD1900B6F595</string>
+											<string>A3B8676E0D10AD1900B6F595</string>
+											<string>A3B867800D10B2C900B6F595</string>
+											<string>A3B867810D10B2C900B6F595</string>
 										</array>
 									</dict>
 									<key>SplitCount</key>
@@ -353,18 +359,18 @@
 							<key>GeometryConfiguration</key>
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {1058, 557}}</string>
+								<string>{{0, 0}, {1058, 578}}</string>
 								<key>RubberWindowFrame</key>
-								<string>0 111 1280 721 0 0 1280 832 </string>
+								<string>0 112 1280 720 0 0 1280 832 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>557pt</string>
+							<string>578pt</string>
 						</dict>
 						<dict>
 							<key>Proportion</key>
-							<string>118pt</string>
+							<string>96pt</string>
 							<key>Tabs</key>
 							<array>
 								<dict>
@@ -378,9 +384,9 @@
 									<key>GeometryConfiguration</key>
 									<dict>
 										<key>Frame</key>
-										<string>{{10, 27}, {1058, 91}}</string>
+										<string>{{10, 27}, {1058, 69}}</string>
 										<key>RubberWindowFrame</key>
-										<string>0 111 1280 721 0 0 1280 832 </string>
+										<string>0 112 1280 720 0 0 1280 832 </string>
 									</dict>
 									<key>Module</key>
 									<string>XCDetailModule</string>
@@ -396,7 +402,7 @@
 									<key>GeometryConfiguration</key>
 									<dict>
 										<key>Frame</key>
-										<string>{{10, 27}, {1058, 113}}</string>
+										<string>{{10, 27}, {1058, 69}}</string>
 									</dict>
 									<key>Module</key>
 									<string>PBXProjectFindModule</string>
@@ -412,7 +418,7 @@
 									<key>GeometryConfiguration</key>
 									<dict>
 										<key>Frame</key>
-										<string>{{10, 27}, {1058, 113}}</string>
+										<string>{{10, 27}, {1058, 69}}</string>
 									</dict>
 									<key>Module</key>
 									<string>PBXCVSModule</string>
@@ -439,11 +445,11 @@
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>A3DAF88D0D09F6F20015B97D</string>
+				<string>A3B867700D10AD1900B6F595</string>
 				<string>1CA23ED40692098700951B8B</string>
-				<string>A3DAF88E0D09F6F20015B97D</string>
+				<string>A3B867710D10AD1900B6F595</string>
 				<string>A34161A50C989E610007BEF2</string>
-				<string>A3DAF88F0D09F6F20015B97D</string>
+				<string>A3B867720D10AD1900B6F595</string>
 				<string>1CA23EDF0692099D00951B8B</string>
 				<string>1CA23EE00692099D00951B8B</string>
 				<string>1CA23EE10692099D00951B8B</string>
@@ -491,7 +497,7 @@
 						<dict>
 							<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 							<array>
-								<real>1000</real>
+								<real>215</real>
 							</array>
 							<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
 							<array>
@@ -508,12 +514,13 @@
 							<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 							<array>
 								<array>
-									<integer>2</integer>
+									<integer>6</integer>
+									<integer>5</integer>
 									<integer>0</integer>
 								</array>
 							</array>
 							<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-							<string>{{0, 0}, {0, 0}}</string>
+							<string>{{0, 0}, {215, 661}}</string>
 						</dict>
 						<key>PBXTopSmartGroupGIDs</key>
 						<array/>
@@ -523,17 +530,17 @@
 					<key>GeometryConfiguration</key>
 					<dict>
 						<key>Frame</key>
-						<string>{{0, 0}, {1275, 680}}</string>
+						<string>{{0, 0}, {232, 679}}</string>
 						<key>GroupTreeTableConfiguration</key>
 						<array>
 							<string>MainColumn</string>
-							<real>1000</real>
+							<real>215</real>
 						</array>
 					</dict>
 					<key>Module</key>
 					<string>PBXSmartGroupTreeModule</string>
 					<key>Proportion</key>
-					<string>1275pt</string>
+					<string>232pt</string>
 				</dict>
 				<dict>
 					<key>Dock</key>
@@ -553,11 +560,18 @@
 										<string>A34161AD0C989F140007BEF2</string>
 										<key>PBXProjectModuleLabel</key>
 										<string>Colonet.java</string>
+										<key>_historyCapacity</key>
+										<integer>0</integer>
+										<key>bookmark</key>
+										<string>A3B867B50D10B9B800B6F595</string>
 										<key>history</key>
 										<array>
 											<string>A3FD76ED0CEBBBC10048CD0C</string>
 											<string>A3C65E6B0CD275C200D77B7B</string>
 											<string>A3F558940CF276B100E3EBD1</string>
+											<string>A3DAF7F40D09EC670015B97D</string>
+											<string>A3DAF7F50D09EC670015B97D</string>
+											<string>A36607060D0E38E300B9F19F</string>
 										</array>
 										<key>prevStack</key>
 										<array>
@@ -578,16 +592,16 @@
 							<key>GeometryConfiguration</key>
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {0, 308}}</string>
+								<string>{{0, 0}, {1043, 292}}</string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>308pt</string>
+							<string>292pt</string>
 						</dict>
 						<dict>
 							<key>Proportion</key>
-							<string>0pt</string>
+							<string>382pt</string>
 							<key>Tabs</key>
 							<array>
 								<dict>
@@ -605,7 +619,7 @@
 									<key>GeometryConfiguration</key>
 									<dict>
 										<key>Frame</key>
-										<string>{{10, 27}, {0, -27}}</string>
+										<string>{{10, 27}, {1043, 355}}</string>
 									</dict>
 									<key>Module</key>
 									<string>PBXBuildResultsModule</string>
@@ -658,7 +672,7 @@
 									<key>GeometryConfiguration</key>
 									<dict>
 										<key>Frame</key>
-										<string>{{10, 27}, {0, 105}}</string>
+										<string>{{10, 27}, {1043, 355}}</string>
 									</dict>
 									<key>Module</key>
 									<string>PBXRunSessionModule</string>
@@ -667,7 +681,7 @@
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>0pt</string>
+					<string>1043pt</string>
 				</dict>
 			</array>
 			<key>Name</key>
@@ -685,14 +699,14 @@
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>A3DAF8900D09F6F20015B97D</string>
+				<string>A3B867740D10AD1900B6F595</string>
 				<string>1CA23EE50692099D00951B8B</string>
-				<string>A3DAF8910D09F6F20015B97D</string>
+				<string>A3B867750D10AD1900B6F595</string>
 				<string>A34161AC0C989F140007BEF2</string>
-				<string>A3DAF8920D09F6F20015B97D</string>
+				<string>A3B867760D10AD1900B6F595</string>
 				<string>XCMainBuildResultsModuleGUID</string>
 				<string>1CA23EE80692099D00951B8B</string>
-				<string>A3DAF8930D09F6F20015B97D</string>
+				<string>A3B867770D10AD1900B6F595</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.buildAndRun</string>
@@ -823,15 +837,15 @@
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>A30FC0D20CBD7F2B000A16EC</string>
+				<string>A3DAF8DA0D0A2E700015B97D</string>
 				<string>1CCC7628064C1048000F2A68</string>
 				<string>1CCC7629064C1048000F2A68</string>
-				<string>A30FC0D30CBD7F2B000A16EC</string>
-				<string>A30FC0D40CBD7F2B000A16EC</string>
-				<string>A30FC0D50CBD7F2B000A16EC</string>
-				<string>A30FC0D60CBD7F2B000A16EC</string>
-				<string>A30FC0C60CBD7E7F000A16EC</string>
-				<string>A30FC0D70CBD7F2B000A16EC</string>
+				<string>A3DAF8DB0D0A2E700015B97D</string>
+				<string>A3DAF8DC0D0A2E700015B97D</string>
+				<string>A3DAF8DD0D0A2E700015B97D</string>
+				<string>A3DAF8DE0D0A2E700015B97D</string>
+				<string>A3DAF8DF0D0A2E700015B97D</string>
+				<string>A3DAF8E00D0A2E700015B97D</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.debug</string>
@@ -860,11 +874,9 @@
 	<key>WindowJustification</key>
 	<integer>5</integer>
 	<key>WindowOrderList</key>
-	<array>
-		<string>/Users/gmtress/Documents/Colony/roboclub_repository/colony/trunk/code/projects/colonet/ColonetGUI/Colonet.xcodeproj</string>
-	</array>
+	<array/>
 	<key>WindowString</key>
-	<string>0 111 1280 721 0 0 1280 832 </string>
+	<string>0 112 1280 720 0 0 1280 832 </string>
 	<key>WindowTools</key>
 	<array>
 		<dict>