Index: trunk/code/projects/colonet/lib/colonet_wireless/colonet_wireless.cpp
===================================================================
--- trunk/code/projects/colonet/lib/colonet_wireless/colonet_wireless.cpp	(revision 347)
+++ trunk/code/projects/colonet/lib/colonet_wireless/colonet_wireless.cpp	(revision 348)
@@ -43,16 +43,13 @@
 static void* listen(void* args);
 static void timeout_handler(void);
 static void handle_response(int frame, int received);
-static void handle_receive(char type, int source, unsigned char* packet,
-                           int len);
+static void handle_receive(char type, int source, unsigned char* packet, int len);
 static void unregister(void);
 static int log_packet(unsigned char* packet, int len);
 
-
 /**************************** Public functions *******************************/
 void colonet_wl_init(char* wl_port_, MsgHandlerFunction message_handler_, char* log_filename_) {
   if (log_filename_ != NULL) {
-    printf("Log filename_=%p: %s\n", log_filename_, log_filename_);
     logging_enabled = true;
     strcpy(log_filename, log_filename_);
   }
@@ -164,8 +161,7 @@
 static void handle_receive(char type, int source, unsigned char* packet,
                            int len) {
   ColonetRobotServerPacket pkt;
-  pkt.client_id = packet[0] | (packet[1]<<8) | (packet[2]<<16) |
-    (packet[3]<<24); //little endian
+  pkt.client_id = packet[0] | (packet[1]<<8) | (packet[2]<<16) | (packet[3]<<24); //little endian
 
   memcpy(pkt.data, packet + 5, PACKET_DATA_LEN);
 
Index: trunk/code/projects/colonet/lib/colonet_dragonfly/colonet_dragonfly.c
===================================================================
--- trunk/code/projects/colonet/lib/colonet_dragonfly/colonet_dragonfly.c	(revision 347)
+++ trunk/code/projects/colonet/lib/colonet_dragonfly/colonet_dragonfly.c	(revision 348)
@@ -24,11 +24,9 @@
 static UserHandler user_handlers[USER_DEFINED_MSG_TOTAL];
 
 /* Internal function prototypes */
-static void packet_string_to_struct(ColonetRobotServerPacket* dest_pkt,
-                                    char* pkt_buf);
+static void packet_string_to_struct(ColonetRobotServerPacket* dest_pkt, unsigned char* pkt_buf);
 static unsigned int two_bytes_to_int(char high, char low);
-static void colonet_handle_receive(char type, int source,
-                                   unsigned char* packet, int length);
+static void colonet_handle_receive(char type, int source, unsigned char* packet, int length);
 
 static PacketGroupHandler colonet_pgh;
 
@@ -56,8 +54,7 @@
  *
  * @return -1 on error (invalid msgId), 0 on success
  */
-static void colonet_handle_receive(char type, int source, unsigned char* packet,
-                                   int length) {
+static void colonet_handle_receive(char type, int source, unsigned char* packet, int length) {
   ColonetRobotServerPacket pkt;
   unsigned char* args; //up to 7 char args
   unsigned int int_args[3]; //up to 3 int (2-byte) args
@@ -170,6 +167,8 @@
     // Battery
     case BATTERY:
       usb_puts("Got battery request.\n");
+
+/*
       int xbeeDongleID = 0xA;  // too bad this is hard-coded.
       char data[20];
       data[0] = 0;  // client ID specified in bytes 0-3
@@ -186,10 +185,9 @@
       data[11] = (char) battery8();  // battery reading
       data[12] = '\0';
 
-      wl_send_robot_to_robot_global_packet(colonet_pgh.groupCode, COLONET_RESPONSE,
-        data, 13, xbeeDongleID, 0);
+      wl_send_robot_to_robot_global_packet(colonet_pgh.groupCode, COLONET_RESPONSE, data, 13, xbeeDongleID, 0);
       usb_puts("lol \n");
-
+*/
       break;
 
     case ORB_INIT:
@@ -235,7 +233,6 @@
       motors_off();
       break;
     case MOVE:
-      buf[40];
       sprintf(buf, "calling move with: %d, %d\n", args[0], args[1]);
       usb_puts(buf);
       move(args[0], args[1]);
@@ -298,7 +295,7 @@
  * Adds a user-defined message
  */
 int colonet_add_message(unsigned char msgId, void (*handler)(void)) {
-  if(msgId < USER_DEFINED_MSG_ID_START || msgId > USER_DEFINED_MSG_ID_END){
+  if(msgId < USER_DEFINED_MSG_ID_START  /* || msgId > USER_DEFINED_MSG_ID_END */){
     return -1;
   }
 
@@ -309,8 +306,7 @@
   return 0;
 }
 
-static void packet_string_to_struct(ColonetRobotServerPacket* dest_pkt,
-                                    char* pkt_buf) {
+static void packet_string_to_struct(ColonetRobotServerPacket* dest_pkt, unsigned char* pkt_buf) {
   memcpy(dest_pkt, pkt_buf, sizeof(ColonetRobotServerPacket));
 }
 
Index: trunk/code/projects/colonet/lib/colonet_dragonfly/Makefile
===================================================================
--- trunk/code/projects/colonet/lib/colonet_dragonfly/Makefile	(revision 347)
+++ trunk/code/projects/colonet/lib/colonet_dragonfly/Makefile	(revision 348)
@@ -7,7 +7,7 @@
 
 CC = avr-gcc
 CFLAGS = -Wall -Wshadow -Wextra -g -mmcu=$(MCU)
-INCLUDES = -I../../../xfly_lib -I../ -I../../../libwireless/lib -I../../../../lib/include/libdragonfly
+INCLUDES = -I../ -I../../../libwireless/lib -I../../../../lib/include/libdragonfly
 
 all: colonet_dragonfly.o
 
Index: trunk/code/projects/colonet/ColonetServer/ColonetServer.cpp
===================================================================
--- trunk/code/projects/colonet/ColonetServer/ColonetServer.cpp	(revision 347)
+++ trunk/code/projects/colonet/ColonetServer/ColonetServer.cpp	(revision 348)
@@ -187,19 +187,16 @@
   char* log_filename = NULL;
 
   if (optionsG.logging_enabled) {
-    printf("Logging enabled.\n");
+    printf("Logging enabled. Log filename: %s\n", optionsG.log_filename);
     log_filename = optionsG.log_filename;
   } else {
     printf("Logging disabled.\n");
   }
 
-  printf("log filename = %p\n", log_filename);
-
   colonet_wl_init(optionsG.wireless_port, wirelessMessageHandler, log_filename);
 
   if (colonet_wl_run_listener_thread()) {
-    fprintf(stderr, "%s: colonet_wl_run_listener_thread failed.\n",
-            __FUNCTION__);
+    fprintf(stderr, "%s: colonet_wl_run_listener_thread failed.\n", __FUNCTION__);
     return -1;
   }
 
@@ -214,8 +211,7 @@
  * @return 0 on success, negative error code on error
  */
 int ColonetServer::initialize_connection(int port) {
-  printf("Initializing connection that will be used to listen for "
-         "clients...\n");
+  printf("Initializing connection that will be used to listen for clients...\n");
   int options = 1;
   struct sockaddr_in my_address;
 