commit 7ba378cb4c1de0c9cd50891c97abf195f28097f2
Author: Dan Shope <dshope@andrew.cmu.edu>
Date:   Mon Oct 10 01:17:04 2011 -0400

    Added cliff sensor mounts.

diff --git a/CAD/3D Print/Kinect Mount/SENSOR, KINECT, MOUNT, REV2.STL b/CAD/3D Print/Kinect Mount/SENSOR, KINECT, MOUNT, REV2.STL
new file mode 100644
index 0000000..e32266b
Binary files /dev/null and b/CAD/3D Print/Kinect Mount/SENSOR, KINECT, MOUNT, REV2.STL differ
diff --git a/CAD/3D Print/Kinect Mount/SENSOR, KINECT, MOUNT, REV2.cmb.gz b/CAD/3D Print/Kinect Mount/SENSOR, KINECT, MOUNT, REV2.cmb.gz
new file mode 100644
index 0000000..17c535b
Binary files /dev/null and b/CAD/3D Print/Kinect Mount/SENSOR, KINECT, MOUNT, REV2.cmb.gz differ
diff --git a/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.STL b/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.STL
index f2a9997..1a53c26 100644
Binary files a/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.STL and b/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.STL differ
diff --git a/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.cmb.gz b/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.cmb.gz
index d6c02df..30debe0 100644
Binary files a/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.cmb.gz and b/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, FRONT.cmb.gz differ
diff --git a/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, REAR.STL b/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, REAR.STL
index e3aaa84..8e73e0c 100644
Binary files a/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, REAR.STL and b/CAD/3D Print/Unibody Masters/CHASSIS, UNIBODY, REAR.STL differ
diff --git a/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT b/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT
index 3ed2397..789ba52 100644
Binary files a/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT and b/CAD/CHASSIS, UNIBODY, FRONT, LEFT WALL, MIRROR.SLDPRT differ
diff --git a/CAD/CHASSIS, UNIBODY, FRONT.SLDPRT b/CAD/CHASSIS, UNIBODY, FRONT.SLDPRT
index 9a5d744..3dcb97e 100644
Binary files a/CAD/CHASSIS, UNIBODY, FRONT.SLDPRT and b/CAD/CHASSIS, UNIBODY, FRONT.SLDPRT differ
diff --git a/CAD/CHASSIS, UNIBODY, REAR.SLDPRT b/CAD/CHASSIS, UNIBODY, REAR.SLDPRT
index f869f81..955bf5a 100644
Binary files a/CAD/CHASSIS, UNIBODY, REAR.SLDPRT and b/CAD/CHASSIS, UNIBODY, REAR.SLDPRT differ
diff --git a/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT b/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT
index 8705f17..78697c3 100644
Binary files a/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT and b/CAD/REFERENCE, ACCESSORY SURFACES.SLDPRT differ
diff --git a/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM b/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM
index 7793caa..1c68fab 100644
Binary files a/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM and b/CAD/SCOUT, UNIBODY, TOP ASSY.SLDASM differ
diff --git a/docs/www/colonyscout/cart.php b/docs/www/colonyscout/cart.php
new file mode 100644
index 0000000..ffb1cb7
--- /dev/null
+++ b/docs/www/colonyscout/cart.php
@@ -0,0 +1,106 @@
+<?php
+$cacheFile="cache/cart.html";
+if (file_exists($cacheFile)) //we can read this cache file back reduce database load
+{
+   header("Content-Type: text/html");
+   readfile($cacheFile);
+   exit;
+} else {
+   ob_start(); //start buffering so we can cache for future accesses
+}
+?>
+
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head> 
+		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>	
+		<meta name="description" content="FILL IN"/> 
+		<meta name="keywords" content="FILL IN"/> 
+ 
+<?php include("header.php"); ?>
+		<title>Shopping | ColonyScout.com</title> 
+ 
+</head>
+<body bgcolor="#eeeeee"> 
+
+<div id="general"> 
+<?php include("nav.php"); ?> 
+	<div id="body">
+		<div id="body-boxes">
+			<div class="box-row" style="margin-top: 10px;">
+				<div class="white-top"></div>
+				<div class="white-body text-box">
+					<h1>Lease your Scout Today!</h1>
+					<p><span class="description">Take Scout out for a spin. Pair your Scout with smart accessories to unleash the powerful potential!.
+					<br/><br/>
+					</span></p>
+					<div class="hr"></div>
+					
+					<div id="leasing">
+					<h2>How do I lease a Scout?</h2>
+					<p>It's easy! Choose a Scout and add it to your cart. Sign the lease agreement, and we will automatically bill you every month.</p>
+					<p>If you're done using your Scout, you can return it and billing will cease. Ask us about buying your Scout for life!</p>
+					</div>
+					
+					<div id="store">
+					<p>
+					<script src="https://www-sgw-opensocial.googleusercontent.com/gadgets/ifr?url=https%3A%2F%2Fstoregadgetwizard.appspot.com%2Fservlets%2FgadgetServlet%3Fkey%3D0ApZJZfDBge48dFAwTzVIX2VWc2FDcDM0RXE4RWM5X3c%26mid%3D239651561362445%26currency%3DUSD%26sandbox%3Dtrue%26gadget%3DLARGE_V2&amp;container=storegadgetwizard&amp;w=940&amp;h=900&amp;title=&amp;brand=none&amp;output=js"></script>
+					</p>
+					<div class="hr"></div>
+					
+					</div><!--end 'TEMP' collapse-->	
+				</div>
+					
+				<div class="white-body text-box">					
+					<div id="bottom-nav">
+						<ul id="pagenav">
+							<li class="previous">
+								<a href="<?php echo $nav[$nav_id['vids']-1]; ?></a></li>
+							<li class="next">
+								<a href="<?php echo $nav[$nav_id['vids']+1]; ?></a></li>
+						</ul>
+					</div>
+				</div>
+
+							
+					
+				</div>
+				<div class="white-bottom"></div>
+			</div>					
+			
+			
+		</div>	
+	</div> <!--BODY!--> 
+
+
+<?php include("footer.php"); ?>
+
+</div><!--GENERAL!--> 
+ 
+ 
+ <script type="text/javascript" charset="utf-8">
+  var is_ssl = ("https:" == document.location.protocol);
+  var asset_host = is_ssl ? "https://s3.amazonaws.com/getsatisfaction.com/" : "http://s3.amazonaws.com/getsatisfaction.com/";
+  document.write(unescape("%3Cscript src='" + asset_host + "javascripts/feedback-v2.js' type='text/javascript'%3E%3C/script%3E"));
+</script>
+
+<script type="text/javascript" charset="utf-8">
+  var feedback_widget_options = {};
+
+  feedback_widget_options.display = "overlay";  
+  feedback_widget_options.company = "roboclub";
+  feedback_widget_options.placement = "right";
+  feedback_widget_options.color = "#222";
+  feedback_widget_options.style = "praise";
+  feedback_widget_options.product = "roboclub_colony_scout";  
+  feedback_widget_options.auto_tag = true;
+  
+  var feedback_widget = new GSFN.feedback_widget(feedback_widget_options);
+</script>
+ 
+</body></html>
+
+<?php
+$buffer = ob_get_contents();
+ob_end_flush();
+$fp = fopen($cacheFile, "w"); fwrite($fp, $buffer); fclose($fp);
+?>
\ No newline at end of file